Get Details
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thanks.io/api/v2/mailing-lists/{mailingListId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.thanks.io/api/v2/mailing-lists/{mailingListId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.thanks.io/api/v2/mailing-lists/{mailingListId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 3020,
"user_id": 2,
"sub_account_id": null,
"type": "manual",
"description": "Birthday List",
"qrcode_url": null,
"total_recipients": 0,
"processed": true,
"is_suppression_list": false,
"total_scans": 0,
"unique_scans": 0,
"last_scan": null,
"total_sends": 0,
"last_send": null,
"api_key": "167ba7f0-72de-11f0-b054-6d9179a1fdb2",
"created_at": "2025-08-06T15:57:43.000000Z",
"created_at_diff": "18 minutes ago",
"updated_at": "2025-08-06T15:57:43.000000Z"
}{
"message": "Unauthorized"
}{
"message": "Not Found"
}Mailing Lists
Get Details
Gets a mailing list by ID. Returns a single mailing list object.
GET
/
mailing-lists
/
{mailingListId}
Get Details
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thanks.io/api/v2/mailing-lists/{mailingListId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.thanks.io/api/v2/mailing-lists/{mailingListId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.thanks.io/api/v2/mailing-lists/{mailingListId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 3020,
"user_id": 2,
"sub_account_id": null,
"type": "manual",
"description": "Birthday List",
"qrcode_url": null,
"total_recipients": 0,
"processed": true,
"is_suppression_list": false,
"total_scans": 0,
"unique_scans": 0,
"last_scan": null,
"total_sends": 0,
"last_send": null,
"api_key": "167ba7f0-72de-11f0-b054-6d9179a1fdb2",
"created_at": "2025-08-06T15:57:43.000000Z",
"created_at_diff": "18 minutes ago",
"updated_at": "2025-08-06T15:57:43.000000Z"
}{
"message": "Unauthorized"
}{
"message": "Not Found"
}Authorizations
Bearer token authentication using your thanks.io API key
Path Parameters
ID of mailing list
Example:
56
Response
Successful Response
Example:
1
Example:
2
Available options:
csv, manual, map, friends, retarget, leads, zapier, radius, highlevel, qrscans Example:
"manual"
Example:
"Test"
Example:
1
Example:
true
Example:
false
Example:
0
Example:
0
Example:
0
API key that can be used to add recipients to this mailing list with thanks.io Webhooks
Example:
"abcd1234efgh5678ijkl9012mnop3456"
Example:
"2018-07-15T06:06:57.000000Z"
Human-friendly relative time since creation
Example:
"6 years ago"
Example:
"2025-06-27T14:57:11.000000Z"
Was this page helpful?